org.eclipse.gef.ui.views.palette

## Class PaletteView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.ui.part.PageBookView
        - - org.eclipse.gef.ui.views.palette.PaletteView

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IPartListener, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class PaletteView
    extends PageBookView

The GEF palette view

Since:
  3.0

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ui.part.PageBookView

`PageBookView.PageRec, PageBookView.SelectionProvider`

### Field Summary

Fields
`static java.lang.String` `ID` The ID for this view.

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`PaletteView()`

### Method Summary

Methods
`protected IPage` `createDefaultPage(PageBook book)` Creates a default page saying that a palette is not available.
`void` `createPartControl(Composite parent)` Add a perspective listener so the palette view can be updated when the perspective is switched.
`void` `dispose()` Remove the perspective listener.
`protected PageBookView.PageRec` `doCreatePage(IWorkbenchPart part)`
`protected void` `doDestroyPage(IWorkbenchPart part, PageBookView.PageRec rec)`
`protected IWorkbenchPart` `getBootstrapPart()` The view shows the palette associated with the active editor.
`protected boolean` `isImportant(IWorkbenchPart part)` Only editors in the same perspective as the view are important.

### Methods inherited from class org.eclipse.ui.part.PageBookView

`doesPageExist, getAdapter, getCurrentContributingPart, getCurrentPage, getDefaultPage, getPageBook, getPageRec, getPageRec, getPageSite, getSelectionProvider, getViewAdapter, init, initPage, partActivated, partBroughtToTop, partClosed, partDeactivated, partHidden, partOpened, partVisible, setFocus, showPageRec`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`checkSite, getViewSite, init, saveState, setContentDescription, setInitializationData, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Field Detail

#### ID

    public static final java.lang.String ID

The ID for this view. This is the same as the String used to register this view with the platform's extension point.

See Also:
  Constant Field Values

### Constructor Detail

#### PaletteView

    public PaletteView()

### Method Detail

#### createDefaultPage

    protected IPage createDefaultPage(PageBook book)

Creates a default page saying that a palette is not available.

Specified by:
  `createDefaultPage` in class `PageBookView`
See Also:
  `PageBookView.createDefaultPage(org.eclipse.ui.part.PageBook)`

#### createPartControl

    public void createPartControl(Composite parent)

Add a perspective listener so the palette view can be updated when the perspective is switched.

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Overrides:
  `createPartControl` in class `PageBookView`
See Also:
  `IWorkbenchPart.createPartControl(org.eclipse.swt.widgets.Composite)`

#### dispose

    public void dispose()

Remove the perspective listener.

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `PageBookView`
See Also:
  `IWorkbenchPart.dispose()`

#### doCreatePage

    protected PageBookView.PageRec doCreatePage(IWorkbenchPart part)

Specified by:
  `doCreatePage` in class `PageBookView`
See Also:
  `PageBookView.doCreatePage(org.eclipse.ui.IWorkbenchPart)`

#### doDestroyPage

    protected void doDestroyPage(IWorkbenchPart part,
                     PageBookView.PageRec rec)

Specified by:
  `doDestroyPage` in class `PageBookView`
See Also:
  `PageBookView.doDestroyPage(org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.part.PageBookView.PageRec)`

#### getBootstrapPart

    protected IWorkbenchPart getBootstrapPart()

The view shows the palette associated with the active editor.

Specified by:
  `getBootstrapPart` in class `PageBookView`
See Also:
  `PageBookView.getBootstrapPart()`

#### isImportant

    protected boolean isImportant(IWorkbenchPart part)

Only editors in the same perspective as the view are important.

Specified by:
  `isImportant` in class `PageBookView`
See Also:
  `PageBookView.isImportant(org.eclipse.ui.IWorkbenchPart)`